Image options
Documentation for Image options
Read time 1 minuteLast updated a year ago
Get all available image options for the specified game image version.
https://api.multiplay.co.uk/cfp/v1/image/options
Request parameters
METHOD |
GET |
VARIABLE | DESCRIPTION | OPTIONAL |
accountserviceid | The parameter accepts an account service ID (ASID) associated with the specified resource. The credentials in the request header must have access to the ASID to perform the request. | No |
gameid | The parameter accepts a game ID. The provided game ID is used to filter the options in the response. This parameter is required if you specify the parameter. | Yes 1 |
imageid | The parameter accepts a game image ID. The provided game image ID is used to find machines that have the specified image installed. If you specify this parameter, you must also include the parameter. | Yes 1 |
gameversion_identifier | The parameter accepts a game version ID for which the mods are valid. If you specify this parameter, you must also specify the and parameters. | Yes |
1 If is provided, must also be provided, and vice versa.
<imageid><gameid>Response fields
|
|
|
|
|---|---|---|---|
diffid | integer | ID of the diff which the provided image ID is locked by | Yes |
updateid | integer | ID of the update which the provided image ID is locked by | Yes |
update_url | string | Information about the update of an image | Yes |
games | array | List of game objects available | No |
images | array | List of image objects relating to a provided Game ID | No |
machines | array | List of machine objects usable as build box | Yes |
Game object
|
|
|
|
|---|---|---|---|
gameid | integer | ID of the game | No |
name | string | Name of the game | No |
Image object
|
|
|
|
|---|---|---|---|
imageid | integer | ID of the image | No |
name | string | Name of the image | No |
gameversionid | string | ID of the game version that this image uses | No |
Machine object
|
|
|
|
|---|---|---|---|
machineid | integer | ID of the machine | No |
name | string | Name of the machine | No |
Example request
curl --location --request GET 'https://api.multiplay.co.uk/cfp/v1/image/options?accountserviceid=<accountserviceid>&gameid=<gameid>&imageid=<imageid>&gameversion_identifier=<GameVersionIdentifier>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'
Example response
{ "diffid": <diffid>, "updateid": <updateid>, "update_url": <updateurl>, "games" : [ { "gameid" : <gameid>, "name" : <game_name> }, ... ], "images" : [ { "imageid" : <imageid>, "name" : <image_name>, "gameversionid" : <gameversionid> }, ... ], "machines" : [ { "machineid" : <machineid>, "name" : <machine_name> }, ... ]}